%define anolis_release 1

%global pypi_name websockets

%ifarch x86_64
%bcond_without tests
%endif

Name:           python-%{pypi_name}
Version:        10.4
Release:        %{anolis_release}%{dist}

Summary:        Implementation of the WebSocket Protocol for Python

License:        BSD
URL:            https://github.com/aaugustin/websockets
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  gcc

%global _description %{expand:
websockets is a library for developing WebSocket servers and clients in
Python. It implements RFC 6455 with a focus on correctness and simplicity. It
passes the Autobahn Testsuite.

Built on top of Python’s asynchronous I/O support introduced in PEP 3156, it
provides an API based on coroutines, making it easy to write highly concurrent
applications.}

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel

%description -n python3-%{pypi_name} %{_description}

%package -n python3-%{pypi_name}-doc
Summary:        Documentation files for %{name}
Requires:       python3-%{pypi_name} = %{EVR}
BuildArch:      noarch

%description -n python3-%{pypi_name}-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files websockets

%check
%if %{with tests}
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}

%files -n python3-%{pypi_name}-doc
%doc README.rst

%changelog
* Tue Mar 28 2023 yuanhui <yuanhui@linux.alibaba.com> - 10.4-1
- Init package from upstream
